summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2020-02-05 01:27:45 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2020-02-05 01:27:45 +0100
commite23aa306e4e32bd3b0d8d435bf0a9cb6ddba2b16 (patch)
tree6e0b9fe67b0a104b6dbe1171f6ccf198cd9ac6ef
parentmedia-sound/gmusicbrowser: removed old 1.1.15_p20160530 (diff)
downloadgentoo-e23aa306e4e32bd3b0d8d435bf0a9cb6ddba2b16.tar.gz
gentoo-e23aa306e4e32bd3b0d8d435bf0a9cb6ddba2b16.tar.bz2
gentoo-e23aa306e4e32bd3b0d8d435bf0a9cb6ddba2b16.zip
media-sound/lilypond: updated 9999
1) eapi7 2) switched to python3 3) dropped patch not needed anymore Package-Manager: Portage-2.3.87, Repoman-2.3.20 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
-rw-r--r--media-sound/lilypond/files/lilypond-9999-programming_error.patch13
-rw-r--r--media-sound/lilypond/lilypond-9999.ebuild7
2 files changed, 3 insertions, 17 deletions
diff --git a/media-sound/lilypond/files/lilypond-9999-programming_error.patch b/media-sound/lilypond/files/lilypond-9999-programming_error.patch
deleted file mode 100644
index f2b85164a6e..00000000000
--- a/media-sound/lilypond/files/lilypond-9999-programming_error.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/lily/general-scheme.cc b/lily/general-scheme.cc
-index d25e6c9ef8..2fd2e4a4fa 100644
---- a/lily/general-scheme.cc
-+++ b/lily/general-scheme.cc
-@@ -275,7 +275,7 @@ LY_DEFINE (ly_protects, "ly:protects",
- #if SCM_MAJOR_VERSION < 2 || SCM_MAJOR_VERSION == 2 && SCM_MINOR_VERSION < 1
- return scm_protects;
- #else
-- return programming_error ("ly:protects is not supported in Guile 2.1");
-+ programming_error ("ly:protects is not supported in Guile 2.1");
- #endif
- }
-
diff --git a/media-sound/lilypond/lilypond-9999.ebuild b/media-sound/lilypond/lilypond-9999.ebuild
index 2ae50f18047..ccdde5e349a 100644
--- a/media-sound/lilypond/lilypond-9999.ebuild
+++ b/media-sound/lilypond/lilypond-9999.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
[[ "${PV}" = "9999" ]] && inherit git-r3
inherit elisp-common autotools python-single-r1 xdg-utils
@@ -23,7 +23,6 @@ LANGS=" ca cs da de el eo es fi fr it ja nl ru sv tr uk vi zh_TW"
IUSE="debug emacs guile2 profile vim-syntax"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
PATCHES=(
- "${FILESDIR}"/$P-programming_error.patch
"${FILESDIR}"/${PN}-2.19.80-fontforge-version.patch
)